Bug 46106 - net/vnc v3.3.5 - vncviewer core dumps w/ sig 11 on its own
Summary: net/vnc v3.3.5 - vncviewer core dumps w/ sig 11 on its own
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-12-08 18:50 UTC by parv
Modified: 2003-02-02 04:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description parv 2002-12-08 18:50:01 UTC
vncviewer, from net/vnc v3.3.5, core dumps (about 4 MB file) w/
signal 11 after running for about a minute on its own.  here is how
i started it (on localhost)...

  vncserver :1 ; vncviewer -passwd <passwd file> localhost:1


gdb shows (not complied w/ debugging support)...

  Core was generated by `vncviewer'.
  Program terminated with signal 11, Segmentation fault.
  Reading symbols from /usr/X11R6/lib/libSM.so.6...(no debugging symbols found)...done.
  Reading symbols from /usr/X11R6/lib/libICE.so.6...(no debugging symbols found)...done.
  Reading symbols from /usr/X11R6/lib/libXmu.so.6...(no debugging symbols found)...done.
  Reading symbols from /usr/X11R6/lib/libXaw.so.7...(no debugging symbols found)...done.
  Reading symbols from /usr/X11R6/lib/libXt.so.6...(no debugging symbols found)...done.
  Reading symbols from /usr/X11R6/lib/libX11.so.6...(no debugging symbols found)...done.
  Reading symbols from /usr/X11R6/lib/libXext.so.6...(no debugging symbols found)...done.
  Reading symbols from /usr/lib/libstdc++.so.3...(no debugging symbols found)...done.
  Reading symbols from /usr/lib/libm.so.2...(no debugging symbols found)...done.
  Reading symbols from /usr/lib/libc.so.4...(no debugging symbols found)...done.
  Reading symbols from /usr2/X11R6/lib/libXpm.so.4...(no debugging symbols found)...done.
  Reading symbols from /usr2/X11R6/lib/libXThrStub.so.6...(no debugging symbols found)...done.
  Reading symbols from /usr2/X11R6/lib/X11/locale/common/xlcDef.so.2...(no debugging symbols found)...done.
  Reading symbols from /usr2/X11R6/lib/X11/locale/common/xomGeneric.so.2...(no debugging symbols found)...done.
  Reading symbols from /usr/libexec/ld-elf.so.1...(no debugging symbols found)...done.
  #0  0x8059aff in getsockname ()
  (gdb) bt
  #0  0x8059aff in getsockname ()
  #1  0x0 in ?? ()


...compliling this port w/ -g option (in /etc/make.conf) yields the
same result.  (perhaps beacuse -DNDEBUG turns off debugging ... just
guessing.)

How-To-Repeat: 
install net/vnc v3.3.5.  run vncviewer.  wait for it to core w/ signal
11.
Comment 1 Ying-Chieh Liao freebsd_committer 2003-01-08 10:45:45 UTC
State Changed
From-To: open->feedback

still a problem with vnc 3.3.6 ?
Comment 2 parv 2003-01-11 05:25:15 UTC
in message <000001c2b7b2$a3d37080$4801a8c0@ws-ew-3>,
wrote Norbert Koch thusly...
>
> vnc 3.3.6 makes no difference

yup, no difference... once it cored just after starting; dumped core
again while working in bare xterm after a few key strokes.

  - parv

--
Comment 3 parv 2003-01-12 02:26:49 UTC
in message <E18XWgH-0002iB-00@mail.phlegethon.org>, wrote James
Raftery thusly...
>
> make CFLAGS="-O2 -pipe" reinstall
> 
> should do it. I've found that using -O2 solved the problem for me
> so I'd like some independent verification.

yes, it seems that has solved the problem, or at least compiling w/
-O2 doesn't make vnc (v3.3.6) core dump for some reason.


  - parv

--
Comment 4 james 2003-01-31 11:19:36 UTC
Norikatsu Shigemura <nork@FreeBSD.org> wrote:
>    I read same problem (maybe) in ports-jp/13501(Japanese ports ML).
>    He, which is Tsurutani Naoki <turutani@scphys.kyoto-u.ac.jp>,
>    reported that use CONFIGURE_ARGS= --with-installed-zlib in
>    port's Makefile. Would you try it?

That also solves the problem for me, and is neater than forcing a
compilation with -O2 or no optimization. Patch below, if parv can
confirm success too. I'll update the bug filed with the VNC folks.

This fits with the backtrace:

(gdb) bt
#0  0x805957b in inflate_codes ()
#1  0x8058487 in inflate_blocks ()
#2  0x805761f in inflate ()
#3  0x805707d in rdr::ZlibInStream::decompress ()
#4  0x8056f9c in rdr::ZlibInStream::overrun ()
#5  0x80526dc in zrleDecode8 ()
#6  0x8054468 in zrleDecode ()
#7  0x804fa4d in HandleRFBServerMessage ()
#8  0x8051925 in main ()
#9  0x804adb1 in _start ()
(gdb) 


Thanks!
james


--- Makefile.orig	Fri Jan 31 10:39:51 2003
+++ Makefile	Fri Jan 31 10:40:59 2003
@@ -14,6 +14,8 @@
 MAINTAINER=	james@now.ie
 
 GNU_CONFIGURE=	yes
+# vnc supplied zlib seg. faults if compiled with -O
+CONFIGURE_ARGS=	--with-installed-zlib
 USE_REINPLACE=	yes
 USE_XLIB=	yes
 USE_XPM=	yes
Comment 5 Norikatsu Shigemura freebsd_committer 2003-01-31 12:28:53 UTC
State Changed
From-To: feedback->analyzed

OK, James.  I'll handle this.
Comment 6 parv 2003-01-31 22:36:14 UTC
in message <20030131111936.GB12339@bender.kerna.ie>, wrote James
Raftery thusly...
>
> Norikatsu Shigemura <nork@FreeBSD.org> wrote:
> >    He, which is Tsurutani Naoki <turutani@scphys.kyoto-u.ac.jp>,
> >    reported that use CONFIGURE_ARGS= --with-installed-zlib in
> >    port's Makefile.
> 
> Patch below, if parv can confirm success too. I'll update the bug
> filed with the VNC folks.

"works for me" too.  or, at least vnc did not crash while playing
around in tvtwm for about 15-20 minutes.

  - parv

--
Comment 7 james 2003-02-01 19:46:40 UTC
Norikatsu Shigemura wrote:
> 	James, I'll commit your patch.  But I think that bump PORTREVISION=1.
> 	Do you think?

Hi,

Yes - you're quite right. Well spotted!


Thanks,
james
Comment 8 Norikatsu Shigemura freebsd_committer 2003-02-02 04:29:38 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!